%%% The following document is used to facillitate precise transcription of
%%% early music manuscripts while still producing MIDI files with the 
%%% correct note durations. Also typesetting rests without the dot.

%%% Minor Prolation

%%% Closed circle (Tempus Perfectum, Minor Prolatio)

OSemibreveA = #(ly:make-duration 0 0 2/1) %Altered semibreve

OBreve = #(ly:make-duration -1 0 3/2) %Tempus Perfectum 1 B = 3 S = 6 M

OLongaP = #(ly:make-duration -3 0 9/8) %Modus Perfectus,1 L = 3 B = 9 S = 18M

OLongaI = #(ly:make-duration -2 0 3/2) %Modus Perfectus,1 L = 2 B = 6 S = 12M

OBRest = r\OBreve

OTwoBRest = r\OLongaI

OThreeBRest = r\OLongaP

%%% Open Circle (Tempus Imperfectum, Minor Prolatio)

CLongaP = #(ly:make-duration -3 0 3/2) %Modus Perfectus,1L = 3B = 6S

CBRest = r\breve

CTwoBRest = r\longa

CThreeBRest = r\CLongaP

%%% Major Prolation

SemibreveP = #(ly:make-duration 0 0 3/2) %Major Prolation 1 S = 3 M

SRestP = r\SemibreveP

%%% Closed circle with dot (Tempus Perfectum, Major Prolatio)

ODBreve = #(ly:make-duration -1 0 9/4) %TP, Major Prolation 1 B = 3 S = 9 M

ODBRest = r\ODBreve

%%% Open circle with dot (Tempus Imperfectum, Major Prolatio)

CDBreve = #(ly:make-duration -1 0 3/2) %TP, Major Prolation 1 B = 2 S = 6 M

CDBRest = r\CDBreve

%%% Miscellaneous

%%% Scribal short hand for dotted SB followed by M

bblack = #(ly:make-duration -1 0 3/4) %Blackened B, always in ligature and followed by two blackend M

sbblack = #(ly:make-duration 0 0 3/4) %Blackened S, always followed by blackened M

mblack = #(ly:make-duration 1 0 1/2) %Blackened M which follows S

SBdottedM = \defineTransform {c'\sbblack d'\mblack}

%Define perfected notes according to mensuration
longaTPMP = #(ly:make-duration -2 0 5/4) %Anomanlous one only found in Sanctus

%Shortcuts for black colouration
petrbl = {
  \override NoteHead.style = #'blackpetrucci
}

petrble = {
  \override NoteHead.style = #'petrucci
}

%Manual Line Breaking
newLine = {
  \bar ""
  \break
}